<!-- display chart -->
<div class="p-relative">
    <div *ngIf="products_details && products_details.length==0" style="position:absolute;width:100%;height:82%;background-color: #fff;z-index:2;display: flex;">
      <div class="d-flex justify-content-center align-items-center w-100 WSF f-22">
        <i class="las la-info"></i>  Please Select a Category
      </div> 
    </div>
<div class="row m-0 align-items-center py-2">
    <div class="col-md-3 dis-flex-row " *ngFor="let r of revenue_details">
        <div class="pr-2 mt-1">
            <div class="normal-calss text-right">{{r.title}}</div>
            <div class="f-12 text-right mt-3" style="white-space: nowrap;"
                [ngClass]="{'red-class': r.currency == '-', 'green-class ': r.currency == '+'}">{{r.amount}}
                <i class="fa " [ngClass]="{'fa-caret-down': r.currency == '-', 'fa-caret-up': r.currency == '+'}"></i>
            </div>
        </div>
        <div  style="min-width:70%;">
            <div class="pr my-2" *ngFor="let p of r.data;index as i">
                <div class="d-flex">
                    <div class="f-10 WSF fw-500 c-color5 mr-2">{{p.value}}</div>
                    <div class="priceview-bar-span text-left">{{p.name}}</div>
                </div>

                <div class="d-flex pr-2" [ngClass]="{'red-class': p.currency == '-', 'green-class': p.currency == '+'}">

                    <div class="priveview-progress progress price-progress progress-striped active">
                        <span *ngIf="i === 0" class="bar-color3" [ngStyle]="{'width': p.percentage + '%'}"></span>
                        <span *ngIf="r.currency === '+' && i === 1" class="bar-color4"
                            [ngStyle]="{'width': p.percentage + '%'}"></span>
                        <span *ngIf="r.currency === '-' && i === 1" class="bar-color2"
                            [ngStyle]="{'width': p.percentage + '%'}"></span>
                    </div>

                </div>

            </div>
        </div>
    </div>

</div>

<div class="row m-0 ">
    <div class="col-md-12 px-0 temp-class" appInfinitescroll (scrolled)="updateScrollPos($event)">
        <table class="table card-table price-table price-view-table">
            <thead>
                <tr class="price-tr">
                    <!-- <th style="max-width: 50px;"></th> -->
                    <th class="price-title-table">

                        <!-- <mat-checkbox class="pl-2"></mat-checkbox> -->
                        <!-- <label class="custom-control custom-checkbox mb-0">
                    <input class="custom-control-input " type="checkbox">
                    <span class="custom-control-label"></span>
                </label> -->
                    </th>
                    <th class="price-title-table">
                        <i class="f-18  " ></i>
                    </th>
                    <th class="price-title-table" >Item No.</th>
                    <th class="price-title-table" >Item Name</th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('current_cost')">
                            Cost
                            <span *ngIf="current_sort_order.field == 'current_cost'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'current_cost'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal ">Current</div>
                    </th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('current_price')">
                            Price
                            <span *ngIf="current_sort_order.field == 'current_price'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'current_price'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Current</div>
                    </th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('competitor_price')">
                            Price
                            <span *ngIf="current_sort_order.field == 'competitor_price'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'competitor_price'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Best Competitor</div>
                    </th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('suggested_price')">
                            Price
                            <span *ngIf="current_sort_order.field == 'suggested_price'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'suggested_price'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Suggested</div>
                    </th>
                    <th class="price-title-table" style="min-width:125px;">
                        <div class="cursor" (click)="sort_products('suggested_price_change')">
                            Price Change
                            <span *ngIf="current_sort_order.field == 'suggested_price_change'"><i class="las pl-2" [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'suggested_price_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Price Change</div>
                    </th>
                    <th class="price-title-table" >
                        <div class="d-flex align-items-center" style="min-width:300px;">
                            <div class="pr-2">
                                <div class="cursor" >
                                    Profit Change
                                    <!-- <span *ngIf="current_sort_order.field == 'profit_change'"><i class="las pl-2"
                                            [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                                    <span *ngIf="current_sort_order.field != 'profit_change'"><i class="las pl-2 la-arrows-alt-v"></i></span> -->
                                </div>
                            </div>
                            <div class="btn-group btn-group-sm btn-group-toggle ng-valid ng-dirty ng-touched"
                                name="displayRange" ngbradiogroup="" role="radiogroup">
                                <label class="btn btn-default cursor" [ngClass]="(amount_change==0)?'pr-btn-flat-active':'pr-btn-flat'">
                                    <input ngbbutton="" type="radio" value="0" name="displayRange" (click)="amount_change=0;">Profit
                                </label>
                                <label class="btn btn-default cursor" [ngClass]="(amount_change==1)?'pr-btn-flat-active':'pr-btn-flat'">
                                    <input ngbbutton="" type="radio" value="1" name="displayRange" (click)="amount_change=1;">Revenue
                                </label>
                            </div>
                            <div *ngIf="amount_change==0" class="cursor" (click)="sort_products('profit_change')">
                                <span *ngIf="current_sort_order.field == 'profit_change'"><i class="las pl-2"
                                        [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                                <span *ngIf="current_sort_order.field != 'profit_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                            </div>
                            <div *ngIf="amount_change==1" class="cursor" (click)="sort_products('revenue_change')">
                                <span *ngIf="current_sort_order.field == 'revenue_change'"><i class="las pl-2"
                                        [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                                <span *ngIf="current_sort_order.field != 'revenue_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                            </div>
                        </div>

                    </th>
                    <th class="price-title-table" >
                        <div class="cursor" (click)="sort_products('revenue_change')">
                            Revenue
                            <span *ngIf="current_sort_order.field == 'revenue_change'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'revenue_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Suggested<span *ngIf="current_data">/Current</span></div>
                    </th>
                    <th class="price-title-table" >
                        <div class="cursor" (click)="sort_products('profit_change')">
                            Profit
                            <span *ngIf="current_sort_order.field == 'profit_change'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'profit_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Suggested<span *ngIf="current_data">/Current</span></div>
                    </th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('units_change')">
                            Units
                            <span *ngIf="current_sort_order.field == 'units_change'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'units_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Suggested<span *ngIf="current_data">/Current</span></div>
                    </th>
                    <th class="price-title-table">
                        <div class="cursor" (click)="sort_products('margin_change')">
                            Margin
                            <span *ngIf="current_sort_order.field == 'margin_change'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'margin_change'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                        <div class="f-10 c-color7 font-weight-normal">Suggested<span *ngIf="current_data">/Current</span></div>
                    </th>

                    <th class="price-title-table" style="min-width:125px;">
                        <div class="cursor" (click)="sort_products('elasticity')">
                            Elasticity
                            <span *ngIf="current_sort_order.field == 'elasticity'"><i class="las pl-2"
                                    [ngClass]="(current_sort_order.sortorder=='desc')?'la-arrow-down':'la-arrow-up'"></i></span>
                            <span *ngIf="current_sort_order.field != 'elasticity'"><i class="las pl-2 la-arrows-alt-v"></i></span>
                        </div>
                    </th>
                </tr>
            </thead>

            <tbody class="price-hr-scroll" [perfectScrollbar]>
                <ng-container *ngFor="let f of view_products_details;index as j">
                    <tr class="price-tr" [ngClass]="{'table-row-active': expanded_row == f.item_no, 'unchecked-state': f.checked !=1 }">
                        <td style="min-width: 50px;" class="pr-check">

                            <mat-checkbox [checked]='f.checked==1' (click)="selection_changed($event,f)">
                            </mat-checkbox>
                        </td>
                        <td style="min-width:0px" (click)="is_expand(f)">
                            <i class="las f-14 c-color5 cursor nodeArrow" 
                            [ngClass]="{'la-angle-right': expanded_row != f.item_no, 'la-angle-down' : expanded_row == f.item_no}"  ></i>

                        </td>

                        <td class="WSF price-title-table cursor" (click)="is_expand(f)" style="max-width:150px;">{{f.item_no}}</td>
                        <td class="WSF fw-500 f-14 c-color5 cursor" (click)="is_expand(f)" style="min-width:190px;">{{f.item_name}}</td>
                        <td class="WSF price-title-table">{{f.f_current_cost}}</td>
                        <td class="WSF price-title-table">{{f.f_current_price}}</td>
                        <td class="WSF price-title-table">{{f.f_competitor_price}}</td>
                        <td class="WSF price-title-table">
                            <input disabled type="text" [(ngModel)]="f.f_suggested_price" class="form-control pr-search-in-table px-2  text-center fw-500 WSF f-14 c-color5">
                        </td>
                        <td class="WSF price-title-table" style="min-width: 125px;">
                            <span
                                [ngClass]="{'green-class': f.f_suggested_price_sign == '+' , 'red-class':  f.f_suggested_price_sign == '-'}">{{f.f_suggested_price_change}}
                                <i class="fa " [ngClass]="{'fa-caret-down': f.f_suggested_price_sign == '-', 'fa-caret-up': f.f_suggested_price_sign == '+'}"></i>
                            </span>
                        </td>
                        <!-- <td><input type="text" value="$13.05" style="width:110px;height:35px;"
                                class="float-left py-2 px-3  group-label mb-input-box  filterBorder bg-white datePick">
                     </td>
                     <td>
                         <span class="red-class">$0.56<i class="fa fa-caret-down pl-1 f-12 align-middle"></i></span>
                     </td>-->
                        <td style="min-width:190px;">
                            <!--<div id="price_bar_chart_{{j}}"></div>-->
                            <div *ngIf="amount_change==0" class="progress-chart progress price-progress progress-striped active"
                                [ngClass]="{'table-row-active': expanded_row == f.item_no }">
                                <span *ngIf="f.f_profit_sign == '+'" class="pa-chart-bg" style="width: 49%;"></span>
                                <!-- for border -->
                                <span *ngIf="f.f_profit_sign == '+'" style="width: 2%;margin-top:-22px"
                                    class="bor-chart height-50"></span>
                                <!-- set empty div, Display labels for minus -->
                                <span *ngIf="f.f_profit_sign == '-'" [ngStyle]="{'width': (49 - f.f_profit_change_percentage) + '%'}"
                                    class="progress-data-labels mr-5 text-align-end" style="overflow: hidden;">
                                    {{f.f_profit_change}}
                                </span>

                                <span
                                    [ngClass]="{'bar-color4': f.f_profit_sign == '+' , 'bar-color2':  f.f_profit_sign == '-'}"
                                    [ngStyle]="{'width': f.f_profit_change_percentage + '%'}">
                                </span>


                                <!-- for border negative -->
                                <span *ngIf="f.f_profit_sign == '-'" style="width: 2%;margin-top:-22px"
                                    class="bor-left-chart height-50"></span>
                                <span *ngIf="f.f_profit_sign == '-'" class="pa-chart-bg" style="width: 49%;"></span>


                                <!-- Display labels postive -->
                                <span *ngIf="f.f_profit_sign == '+'" [ngStyle]="{'width': (49 - f.f_profit_change_percentage) + '%'}"
                                    class="progress-data-labels ml-5" style="overflow: hidden;">
                                    {{f.f_profit_change}}
                                </span>
                            </div>

                            <div *ngIf="amount_change==1" class="progress-chart progress price-progress progress-striped active"
                                [ngClass]="{'table-row-active': expanded_row == f.item_no }">
                                <span *ngIf="f.f_revenue_sign == '+'" class="pa-chart-bg" style="width: 49%;"></span>
                                <!-- for border -->
                                <span *ngIf="f.f_revenue_sign == '+'" style="width: 2%;margin-top:-22px" class="bor-chart height-50"></span>
                                <!-- set empty div, Display labels for minus -->
                                <span *ngIf="f.f_revenue_sign == '-'" [ngStyle]="{'width': (49 - f.f_revenue_change_percentage) + '%'}"
                                    class="progress-data-labels mr-5 text-align-end" style="overflow: hidden;">
                                    {{f.f_revenue_change}}
                                </span>
                            
                                <span [ngClass]="{'bar-color4': f.f_revenue_sign == '+' , 'bar-color2':  f.f_revenue_sign == '-'}"
                                    [ngStyle]="{'width': f.f_revenue_change_percentage + '%'}">
                                </span>
                            
                            
                                <!-- for border negative -->
                                <span *ngIf="f.f_revenue_sign == '-'" style="width: 2%;margin-top:-22px" class="bor-left-chart height-50"></span>
                                <span *ngIf="f.f_revenue_sign == '-'" class="pa-chart-bg" style="width: 49%;"></span>
                            
                            
                                <!-- Display labels postive -->
                                <span *ngIf="f.f_revenue_sign == '+'" [ngStyle]="{'width': (49 - f.f_revenue_change_percentage) + '%'}"
                                    class="progress-data-labels ml-5" style="overflow: hidden;">
                                    {{f.f_revenue_change}}
                                </span>
                            </div>

                        </td>
                        <td class="WSF price-title-table" style="max-width:150px;">
                            <div class="dis-flex-column">
                                <span [ngClass]="{'red-class': f.f_revenue_sign == '-', 'green-class': f.f_revenue_sign == '+'}">{{f.f_expected_revenue}}
                                    <!-- <i class="fa " [ngClass]="{'fa-caret-down': f.f_revenue_sign == '-', 'fa-caret-up': f.f_revenue_sign == '+'}"></i> -->
                                </span>
                                <span *ngIf="current_data" class="c-color7 font-weight-normal f-12 WSF">{{f.f_current_revenue}}</span>
                            </div>
                        </td>
                        <td class="WSF price-title-table" style="max-width:150px;">
                            <div class="dis-flex-column">
                                <span
                                    [ngClass]="{'red-class': f.f_profit_sign == '-', 'green-class': f.f_profit_sign == '+'}">{{f.f_expected_profit}}
                                    <!-- <i class="fa "
                                        [ngClass]="{'fa-caret-down': f.f_profit_sign == '-', 'fa-caret-up': f.f_profit_sign == '+'}"></i> -->
                                </span>
                                <span *ngIf="current_data" class="c-color7 font-weight-normal f-12 WSF">{{f.f_current_profit}} </span>
                            </div>
                        </td>
                        <td class="WSF price-title-table">
                            <div class="dis-flex-column">
                                <span
                                    [ngClass]="{'red-class': f.f_units_sign == '-', 'green-class': f.f_units_sign == '+'}">{{f.f_expected_units}}
                                    <!-- <i class="fa "
                                        [ngClass]="{'fa-caret-down': f.f_units_sign == '-', 'fa-caret-up': f.f_units_sign == '+'}"></i> -->
                                </span>
                                <span *ngIf="current_data" class="c-color7 font-weight-normal f-12 WSF">{{f.f_current_units}}</span>
                            </div>
                        </td>

                        <td class="WSF price-title-table">
                            <div class="dis-flex-column">
                                <span
                                    [ngClass]="{'red-class': f.f_margin_sign == '-', 'green-class': f.f_margin_sign == '+'}">{{f.f_expected_margin}}
                                    <!-- <i class="fa "
                                        [ngClass]="{'fa-caret-down': f.f_margin_sign == '-', 'fa-caret-up': f.f_margin_sign == '+'}"></i> -->
                                </span>
                                <span *ngIf="current_data" class="c-color7 font-weight-normal f-12 WSF">{{f.f_current_margin}}</span>
                            </div>
                        </td>
                        <td class="WSF price-title-table" style="min-width:125px;">
                            <div class=" d-flex align-items-center">
                                <div class="elacity-box mr-2" [ngStyle]="{'background': f.f_elasticity_color}"></div>
                                <div class="normal-class">{{f.f_elasticity}}</div>
                            </div>
                        </td>
                    </tr>
                    <!-- price chart -->
                    <tr *ngIf="expanded_row == f.item_no" style="background: #F2F2F2 !important;">
                        <td colspan="16" id="price-opportunity">
                            <div style="width: 70%">
                                <price-opportunity [product]="f"></price-opportunity>
                            </div>
                        </td>
                    </tr>
                </ng-container>

            </tbody>
        </table>
    </div>
    <!-- <div id="price_bar_chart"></div>-->
</div>    
</div>
